#-------------------------------------------------
#
# Project created by QtCreator 2018-08-20T09:12:54
#
#-------------------------------------------------

QT      += core gui widgets x11extras

TARGET   = corestuff
TEMPLATE = app

VERSION  = 2.7.0

INCLUDEPATH += activities home pins reminders sessions tasks tray

# Library section
unix:!macx: LIBS += -lcprime
LIBS    += -lX11 -lXdamage -lXcomposite -lXrender

# Disable warnings, enable threading support and c++11
CONFIG  += thread silent build_all c++11

# Definetion section
DEFINES += QT_DEPRECATED_WARNINGS
DEFINES += "HAVE_POSIX_OPENPT"

# Build section
BUILD_PREFIX = $$(CA_BUILD_DIR)

isEmpty( BUILD_PREFIX ) {
        BUILD_PREFIX = ./build
}

MOC_DIR       = $$BUILD_PREFIX/moc-qt5
OBJECTS_DIR   = $$BUILD_PREFIX/obj-qt5
RCC_DIR	      = $$BUILD_PREFIX/qrc-qt5
UI_DIR        = $$BUILD_PREFIX/uic-qt5

unix {
        isEmpty(PREFIX) {
                PREFIX = /usr
        }

        BINDIR        = $$PREFIX/bin

        target.path   = $$BINDIR

        desktop.path  = $$PREFIX/share/applications/
        desktop.files = "corestuff.desktop"

        icons.path    = /usr/share/icons/hicolor/scalable/apps/
        icons.files   = icons/corestuff.svg

        background.path = $$PREFIX/share/coreapps/background/
        background.files = background/default.svg

        INSTALLS     += target icons desktop background
}

FORMS += \
    activities/pageactivites.ui \
    corestuff.ui \
    home/pagehome.ui \
    pins/pagepins.ui \
    reminders/pagereminders.ui \
    sessions/pagesessions.ui \
    sessions/sessionsavedialog.ui \
    tasks/pagetasks.ui

HEADERS += \
    activities/pageactivites.h \
    button.h \
    corestuff.h \
    home/pagehome.h \
    pins/pagepins.h \
    reminders/pagereminders.h \
    sessions/pagesessions.h \
    sessions/sessionsavedialog.h \
    slidingstackedwidget.h \
    tasks/client_c.h \
    tasks/cxcbeventfilter.h \
    tasks/pagetasks.h \
    tasks/x11support.h \
    tray/fixx11h.h \
    tray/lxqtglobals.h \
    tray/lxqtgridlayout.h \
    tray/lxqttray.h \
    tray/trayicon.h \
    tray/xfitman.h \
    global.h

SOURCES += \
    activities/pageactivites.cpp \
    button.cpp \
    corestuff.cpp \
    home/pagehome.cpp \
    main.cpp \
    pins/pagepins.cpp \
    reminders/pagereminders.cpp \
    sessions/pagesessions.cpp \
    sessions/sessionsavedialog.cpp \
    slidingstackedwidget.cpp \
    tasks/client_c.cpp \
    tasks/cxcbeventfilter.cpp \
    tasks/pagetasks.cpp \
    tasks/x11support.cpp \
    tray/lxqtgridlayout.cpp \
    tray/lxqttray.cpp \
    tray/trayicon.cpp \
    tray/xfitman.cpp

RESOURCES += \
    icons.qrc
